import request from '@/utils/request'

// 查询建筑信息管理列表
export function listBuildInfo(query) {
  return request({
    url: '/ems/buildInfo/list',
    method: 'get',
    params: query
  })
}

// 查询建筑信息管理详细
export function getBuildInfo(objid) {
  return request({
    url: '/ems/buildInfo/' + objid,
    method: 'get'
  })
}

// 新增建筑信息管理
export function addBuildInfo(data) {
  return request({
    url: '/ems/buildInfo',
    method: 'post',
    data: data
  })
}

// 修改建筑信息管理
export function updateBuildInfo(data) {
  return request({
    url: '/ems/buildInfo',
    method: 'put',
    data: data
  })
}

// 删除建筑信息管理
export function delBuildInfo(objid) {
  return request({
    url: '/ems/buildInfo/' + objid,
    method: 'delete'
  })
}
